module.exports = {
  create: {
    requestBody: [
      "mech_id",
      "mech_name",
      "agent_id",
      "agent_name",
      "name",
      "user_id",
      "user_name",
      "type",
      "inventor",
      "contact",
      "phone",
      "email",
      "check_url",
      "apply_url",
      "questions",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "mech_id",
      "mech_name",
      "agent_id",
      "agent_name",
      "name",
      "user_id",
      "user_name",
      "type",
      "inventor",
      "contact",
      "phone",
      "email",
      "check_url",
      "apply_url",
      "questions",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        mech_id: "mech_id",
        mech_name: "mech_name",
        agent_id: "agent_id",
        agent_name: "agent_name",
        name: "name",
        user_id: "user_id",
        user_name: "user_name",
        type: "type",
        phone: "phone",
        status: "status",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
