module.exports = {
  create: {
    requestBody: ['apply_id', 'name', 'examine_id', 'examine_name', 'examine_phone', 'desc', 'status', 'step', 'type'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['apply_id', 'name', 'examine_id', 'examine_name', 'examine_phone', 'desc', 'status', 'step', 'type'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        apply_id: 'apply_id',
        name: 'name',
        examine_id: 'examine_id',
        examine_name: 'examine_name',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
