module.exports = {
  create: {
    requestBody: [
      'user_id',
      'user_name',
      'patent_id',
      'create_number',
      'name',
      'inventor',
      'type',
      'contact',
      'phone',
      'email',
      'abstract',
      'field',
      'explain',
      'shared_value',
      'techol_stable',
      'techol_advanced',
      'is_money',
      'status',
      'file',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      'user_id',
      'user_name',
      'patent_id',
      'create_number',
      'name',
      'inventor',
      'type',
      'contact',
      'phone',
      'email',
      'abstract',
      'field',
      'explain',
      'shared_value',
      'techol_stable',
      'techol_advanced',
      'is_money',
      'status',
      'file',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        user_id: 'user_id',
        user_name: 'user_name',
        create_number: 'create_number',
        name: 'name',
        type: 'type',
        phone: 'phone',
        email: 'email',
        is_money: 'is_money',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
