module.exports = {
  create: {
    requestBody: ['pid', 'name', 'phone', 'password', 'card', 'email', 'address', 'zwzc', 'school', 'major', 'word_tel', 'type', 'code', 'role', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['pid', 'name', 'phone', 'password', 'card', 'email', 'address', 'zwzc', 'school', 'major', 'word_tel', 'type', 'code', 'role', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        pid: 'pid',
        name: 'name',
        phone: 'phone',
        card: 'card',
        type: 'type',
        code: 'code',
        role: 'role',
        status: 'status',
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  // 登陆
  login: {
    requestBody: ['!phone', '!password'],
    service: 'login',
  },
  //修改密码
  password: {
    params: ['!id'],
    requestBody: ['password'],
    service: 'password',
  },
};
