module.exports = {
  create: {
    requestBody: ['patent_id', 'name', 'inventor', 'lose_date', 'content', 'num', 'receive_id', 'receive_name'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['patent_id', 'name', 'inventor', 'lose_date', 'content', 'num', 'receive_id', 'receive_name'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        patent_id: 'patent_id',
        name: 'name',
        lose_date: 'lose_date',
        num: 'num',
        receive_id: 'receive_id',
        receive_name: 'receive_name',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
