module.exports = {
  create: {
    requestBody: ['send_id', 'send_name', 'receive_type', 'receive', 'is_read', 'content', 'file', 'code'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['send_id', 'send_name', 'receive_type', 'receive', 'is_read', 'content', 'file'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        send_id: 'send_id',
        send_name: 'send_name',
        receive_type: 'receive_type',
        is_read: 'is_read',
        user_id: 'user_id',
        receive: 'receive',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
