module.exports = {
  create: {
    requestBody: [
      'create_number',
      'create_date',
      'success_number',
      'success_date',
      'inventor',
      'agent',
      'agent_personal',
      'address',
      'name',
      'apply_personal',
      'term',
      'type',
      'nationality',
      'ipc_type',
      'onlegal_status',
      'legal_status',
      'law_date',
      'on_obligee',
      'apply_address',
      'apply_other',
      'law_num',
      'first_opendate',
      'empower_date',
      'lose_date',
      'examine_date',
      'invention_design',
      'incopat_link',
      'first_ask',
      'first_apply',
      'apply_city',
      'business_code',
      'business_address',
      'first_inventor',
      'shared_value',
      'techol_stable',
      'techol_advanced',
      'pct_apply',
      'pct_publish',
      'status',
      'abstract',
      'img_url',
      'user_id',
      'remark',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      'create_number',
      'create_date',
      'success_number',
      'success_date',
      'inventor',
      'agent',
      'agent_personal',
      'address',
      'name',
      'apply_personal',
      'term',
      'type',
      'nationality',
      'ipc_type',
      'onlegal_status',
      'legal_status',
      'law_date',
      'on_obligee',
      'apply_address',
      'apply_other',
      'law_num',
      'first_opendate',
      'empower_date',
      'lose_date',
      'examine_date',
      'invention_design',
      'incopat_link',
      'first_ask',
      'first_apply',
      'apply_city',
      'business_code',
      'business_address',
      'first_inventor',
      'shared_value',
      'techol_stable',
      'techol_advanced',
      'pct_apply',
      'pct_publish',
      'status',
      'abstract',
      'img_url',
      'user_id',
      'remark',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        create_number: 'create_number',
        success_number: 'success_number',
        inventor: 'inventor',
        agent: 'agent',
        agent_personal: 'agent_personal',
        term: 'term',
        type: 'type',
        nationality: 'nationality',
        ipc_type: 'ipc_type',
        invention_design: 'invention_design',
        first_apply: 'first_apply',
        business_code: 'business_code',
        law_num: 'law_num',
        first_inventor: 'first_inventor',
        status: 'status',
        name: 'name',
        code: 'code',
        role: 'role',
        user_id: 'user_id',
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
