module.exports = {
  create: {
    requestBody: ['name', 'ask_id', 'ask_name', 'ask_date', 'ask_explain', 'ask_file', 'answer_id', 'answer_name', 'answer_date', 'answer_explain', 'answer_file', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['name', 'ask_id', 'ask_name', 'ask_date', 'ask_explain', 'ask_file', 'answer_id', 'answer_name', 'answer_date', 'answer_explain', 'answer_file', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        name: 'name',
        ask_id: 'ask_id',
        ask_name: 'ask_name',
        ask_date: 'ask_date',
        answer_id: 'answer_id',
        answer_name: 'answer_name',
        answer_date: 'answer_date',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
