module.exports = {
  create: {
    requestBody: [
      'user_id',
      'user_name',
      'patent_id',
      'create_number',
      'name',
      'apply_personal',
      'type',
      'inventor',
      'contact',
      'phone',
      'email',
      'appeal',
      'fact',
      'questions',
      'status',
      'file',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      'user_id',
      'user_name',
      'patent_id',
      'create_number',
      'name',
      'apply_personal',
      'type',
      'inventor',
      'contact',
      'phone',
      'email',
      'appeal',
      'fact',
      'questions',
      'status',
      'file',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        user_id: 'user_id',
        user_name: 'user_name',
        patent_id: 'patent_id',
        create_number: 'create_number',
        name: 'name',
        type: 'type',
        contact: 'contact',
        phone: 'phone',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
