module.exports = {
  create: {
    requestBody: [
      "user_id",
      "user_name",
      "patent_id",
      "name",
      "create_number",
      "on_obligee",
      "contact",
      "phone",
      "email",
      "money_type",
      "money_min",
      "money_max",
      "type",
      "is_report",
      "file",
      "abstract",
      "requirementdesc",
      "expect",
      "condition",
      "on_afterobligee",
      "transfer_date",
      "contract_type",
      "contract",
      "contract_file",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "user_name",
      "patent_id",
      "name",
      "create_number",
      "on_obligee",
      "contact",
      "phone",
      "email",
      "money_type",
      "money_min",
      "money_max",
      "type",
      "is_report",
      "file",
      "abstract",
      "requirementdesc",
      "expect",
      "condition",
      "on_afterobligee",
      "transfer_date",
      "contract_type",
      "contract",
      "contract_file",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        user_name: "user_name",
        patent_id: "patent_id",
        name: "name",
        create_number: "create_number",
        contact: "contact",
        phone: "phone",
        email: "email",
        money_type: "money_type",
        money_max: "money_max",
        type: "type",
        status: "status",
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
