'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const { Secret } = require('naf-framework-mongoose-free/lib/model/schema');
const { ObjectId } = require('mongoose').Types;
// 代理机构表
const agent = {
  pid: { type: String }, // 上级id
  mech_name: { type: String }, // 机构名称
  name: { type: String }, // 姓名
  phone: { type: String }, // 手机号
  password: { type: Secret, select: false }, // 密码
  email: { type: String }, // 电子邮箱
  company: { type: String, required: false }, // 工作单位
  code: { type: String, required: false }, // 邀请码
  role: { type: String, default: '10' }, // 角色
  status: { type: String, required: false, default: '0', maxLength: 200 }, // 审核状态,0-注册,1-通过,2-拒绝
  remark: { type: String },
};
const schema = new Schema(agent, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ pid: 1 });
schema.index({ mech_name: 1 });
schema.index({ name: 1 });
schema.index({ phone: 1 });
schema.index({ code: 1 });
schema.index({ company: 1 });
schema.index({ status: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Agent', schema, 'agent');
};
