'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 审核记录表
const apply_record = {
  apply_id: { type: String, required: false }, // 专利id
  name: { type: String, required: false }, // 专利名称
  examine_id: { type: String, required: false }, // 审核人id
  examine_name: { type: String, required: false }, // 审核人姓名
  examine_phone: { type: String, required: false }, // 审核人联系电话
  desc: { type: String, required: false }, // 审核意见
  status: { type: String, required: false }, // 审核结果
  step: { type: String, required: false }, // 审核进度
  type: { type: String, required: false }, // 记录类型:1：专利申请，2：查新检索，3：价值评估
};
const schema = new Schema(apply_record, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ apply_id: 1 });
schema.index({ name: 1 });
schema.index({ examine_id: 1 });
schema.index({ examine_name: 1 });

schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Apply_Record', schema, 'apply_record');
};
