'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 价值评估
const assessment = {
  user_id: { type: String, required: false }, // 申请人id
  user_name: { type: String, required: false }, // 申请人姓名
  patent_id: { type: String, required: false }, // 专利id
  create_number: { type: String, required: false }, // 申请号
  name: { type: String, required: false }, // 专利名称
  inventor: { type: String, required: false }, // 发明人
  type: { type: String, required: false }, // 专利类型
  contact: { type: String, required: false }, // 联系人
  phone: { type: String, required: false }, // 联系电话
  email: { type: String, required: false }, // 电子邮箱
  abstract: { type: String, required: false }, // 摘要
  field: { type: String, required: false }, // 应用领域
  explain: { type: String, required: false }, // 技术说明
  shared_value: { type: String, required: false }, // 合享价值度
  techol_stable: { type: String, required: false }, // 技术稳定性
  techol_advanced: { type: String, required: false }, // 技术先进性
  is_money: { type: String, required: false }, // 是否缴费
  status: { type: String, required: false, default: '0' }, // 状态，0：待审中，1：审核通过，待发报告文件，-1：审核未通过，2：文件已发，请及时下载
  file: { type: Array, required: false }, // 报告文件
};
const schema = new Schema(assessment, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ user_id: 1 });
schema.index({ user_name: 1 });
schema.index({ create_number: 1 });
schema.index({ name: 1 });
schema.index({ type: 1 });
schema.index({ phone: 1 });
schema.index({ email: 1 });
schema.index({ is_money: 1 });
schema.index({ status: 1 });

schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Assessment', schema, 'assessment');
};
