'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 专利预警
const early = {
  patent_id: { type: String, required: false }, // 专利id
  name: { type: String, required: false }, // 专利名称
  inventor: { type: String, required: false }, // 发明人
  lose_date: { type: String, required: false }, // 截止日期
  content: { type: String, required: false }, // 预警信息
  num: { type: String, required: false }, // 预警次数
  receive_id: { type: String, required: false }, // 接收人id
  receive_name: { type: String, required: false }, // 接收人姓名
};
const schema = new Schema(early, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ patent_id: 1 });
schema.index({ name: 1 });
schema.index({ lose_date: 1 });
schema.index({ num: 1 });
schema.index({ receive_id: 1 });
schema.index({ receive_name: 1 });

schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Early', schema, 'early');
};
