'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 审核信息
const examine = {
  receive_id: { type: String, required: false }, // 接收人
  receive_name: { type: String, required: false }, // 接收人姓名
  content: { type: String, required: false }, // 接收内容
  is_read: { type: Boolean, required: false, default: false }, // 是否已读
};
const schema = new Schema(examine, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });

schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Examine', schema, 'examine');
};
