'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 通知信息
const notice = {
  send_id: { type: String, required: false }, // 发送人id
  send_name: { type: String, required: false }, // 发送人姓名
  receive_type: { type: String, required: false }, // 接收人类型 0：管理员发给平台用户，1：管理员发给机构用户，2：管理员发给个人用户，3：机构发给平台用户，4：机构发给个人用户
  receive: { type: Array, required: false }, // 接收人
  is_read: { type: Boolean, required: false }, // 是否已读
  content: { type: String, required: false }, // 内容
  file: { type: Array, required: false }, // 通知文件
};
const schema = new Schema(notice, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ send_id: 1 });
schema.index({ send_name: 1 });
schema.index({ receive_type: 1 });
schema.index({ is_read: 1 });

schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Notice', schema, 'notice');
};
