'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 专利维权
const safe = {
  user_id: { type: String, required: false }, // 申请人id
  user_name: { type: String, required: false }, // 申请人姓名
  patent_id: { type: String, required: false }, // 专利id
  create_number: { type: String, required: false }, // 申请号
  name: { type: String, required: false }, // 专利名称
  apply_personal: { type: String, required: false }, // 专利申请人
  type: { type: String, required: false }, // 专利类型
  inventor: { type: String, required: false }, // 发明人
  contact: { type: String, required: false }, // 联系人
  phone: { type: String, required: false }, // 联系电话
  email: { type: String, required: false }, // 电子邮箱
  appeal: { type: String, required: false }, // 诉求
  fact: { type: String, required: false }, // 侵权事实
  questions: { type: Object, required: false }, // 其他内容合集
  status: { type: String, required: false, default: '0' }, // 状态，0：待审中，1：审核通过，待发报告文件，-1：审核未通过，2：文件已发，请及时下载
  file: { type: Array, required: false }, // 报告文件
};
const schema = new Schema(safe, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ user_id: 1 });
schema.index({ user_name: 1 });
schema.index({ patent_id: 1 });
schema.index({ create_number: 1 });
schema.index({ name: 1 });
schema.index({ type: 1 });
schema.index({ contact: 1 });
schema.index({ phone: 1 });

schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Safe', schema, 'safe');
};
