'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 专利需求
const techol = {
  order_num: { type: String, required: false }, // 需求订单号
  describe: { type: String, required: false }, // 需求描述(用途)
  urgent: { type: String, required: false }, // 紧急程度
  contact: { type: String, required: false }, // 联系人
  phone: { type: String, required: false }, // 联系电话
  email: { type: String, required: false }, // 电子邮箱
  requirement: { type: String, required: false }, // 合作条件及要求
  status: { type: String, required: false, default: '0' }, // 状态
};
const schema = new Schema(techol, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ order_num: 1 });
schema.index({ urgent: 1 });
schema.index({ contact: 1 });
schema.index({ phone: 1 });
schema.index({ email: 1 });
schema.index({ status: 1 });

schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Techol', schema, 'techol');
};
