'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
const os = require('os');
function getIPAdress() {
  const interfaces = os.networkInterfaces();
  for (const devName in interfaces) {
    const iface = interfaces[devName];
    for (let i = 0; i < iface.length; i++) {
      const alias = iface[i];
      if (alias.family === 'IPv4' && alias.address !== '127.0.0.1' && !alias.internal) {
        return alias.address;
      }
    }
  }
}
module.exports = app => {
  const { router, controller } = app;
  const { routePrefix, cluster } = app.config;
  const ipAddress = getIPAdress();
  console.log(`前缀:http://${ipAddress}:${cluster.listen.port}${routePrefix}`);
  router.get('/', controller.home.index);
  require('./z_router/agent')(app); // 代理机构
  require('./z_router/consulting')(app); // 咨询师
  require('./z_router/patent')(app); // 专利信息
  require('./z_router/examine')(app); // 审核信息
  require('./z_router/notice')(app); // 通知信息
  require('./z_router/apply')(app); // 申请信息
  require('./z_router/applyRecord')(app); // 审核记录
  require('./z_router/analysis')(app); // 查新检索
  require('./z_router/trans')(app); // 专利交易
  require('./z_router/early')(app); // 专利预警
  require('./z_router/safe')(app); // 专利维权
  require('./z_router/assessment')(app); // 价值评估
  require('./z_router/techol')(app); // 专利需求
  require('./z_router/problem')(app); // 问题咨询
};

